Package jxl.demo

# Class XML

java.lang.Object
jxl.demo.XML

public class XML extends Object
Simple demo class which uses the api to present the contents of an excel 97 spreadsheet as an XML document, using a workbook and output stream of your choice

## Constructor Summary

Constructors
Constructor
Description
`XML(Workbook w, OutputStream out, String enc, boolean f)`
Constructor

## Method Summary

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### XML

public XML(Workbook w, OutputStream out, String enc, boolean f) throws IOException
Constructor

Parameters:
  `w` - The workbook to interrogate
  `out` - The output stream to which the XML values are written
  `enc` - The encoding used by the output stream. Null or unrecognized values cause the encoding to default to UTF8
  `f` - Indicates whether the generated XML document should contain the cell format information
Throws:
  `IOException`